Bug 247986 - /sbin/weak-modules fails to handle inter-module symbol references.
/sbin/weak-modules fails to handle inter-module symbol references.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: module-init-tools (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
:
Depends On:
Blocks: 251292
  Show dependency treegraph
 
Reported: 2007-07-12 11:02 EDT by Gerd Hoffmann
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0659
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:25:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerd Hoffmann 2007-07-12 11:02:28 EDT
Description of problem:
/sbin/weak-modules fails to handle inter-module symbol references.

Version-Release number of selected component (if applicable):
module-init-tools-3.3-0.pre3.1.16.0.1.el5

How reproducible:
grab xenpv-kmod packages from
http://devserv.devel.redhat.com/~ghoffman/brew/rhel51-xen/$arch/, install them.

Actual results:
Only xen-platform-pci.ko gets symlinked into weak-symbols

Expected results:
all xen-*.ko modules get symlinked into weak-symbols

Additional info:
xen-platform-pci.ko provides symbols referenced by the other modules.
Comment 1 Gerd Hoffmann 2007-07-19 12:17:29 EDT
Bug is in the module_is_compatible() function.

modprobe prints 8-char-wide crc's.
nm dumps 16-char-wide addresses.
thus they don't look identical to the join utility.

Probably happens on x86_64 only.
Comment 19 errata-xmlrpc 2007-11-07 12:25:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0659.html

Note You need to log in before you can comment on or make changes to this bug.